GET STARTED

Exploring LibAUC with Python

Installation


Requirements

  • Python>=3.6
  • TensorFlow>=2.0.0
  • Pytorch>=1.0.0
  • Numpy>=1.16.0
  • Scikit-Learn>=0.23.0

  • Using pip installation

    You can run the following commond in your terminal:

     pip install libauc

    Checking the installation

    Please check the latest version is 1.1.5.

    python -c "import libauc; print(libauc.__version__)"


    Reference

    If you find this library useful, please cite the following paper and any citation specific to the used methods:

    @inproceedings{yuan2021robust,
    	title={Large-scale Robust Deep AUC Maximization: A New Surrogate Loss and Empirical Studies on Medical Image Classification},
    	author={Yuan, Zhuoning and Yan, Yan and Sonka, Milan and Yang, Tianbao},
    	booktitle={Proceedings of the IEEE/CVF International Conference on Computer Vision},
    	year={2021}
    	}